import { tAuthenticitySecurityFeatureCheckResultType } from '../../../../../../../../../../models';
import { eCheckDiagnose, eCheckResult, eSecurityFeatureType } from '../../../../../../../../../../consts';
import { aAuthenticityCheck } from '../authenticity-check.abstract';
import { iRLocation, RLocation } from './children';
/**
* Authenticity Barcode check list item
*/
export interface iRAuthenticitySecurityCheck extends aAuthenticityCheck {
    /**
    * Feature type
    * @type {tAuthenticitySecurityFeatureCheckResultType}
    */
    checkType: tAuthenticitySecurityFeatureCheckResultType;
    /**
    * Area location
    * @type {iRLocation|undefined}
    */
    location?: iRLocation;
    /**
    * Feature type
    * @type {string}
    */
    feature: eSecurityFeatureType;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
}
/**
* Authenticity Barcode check list item
*/
export declare class RAuthenticitySecurityCheck extends aAuthenticityCheck implements iRAuthenticitySecurityCheck {
    /**
    * Feature type
    * @type {tAuthenticitySecurityFeatureCheckResultType}
    */
    checkType: tAuthenticitySecurityFeatureCheckResultType;
    /**
    * Area location
    * @type {RLocation|undefined}
    */
    location?: RLocation;
    /**
    * Feature type
    * @type {string}
    */
    feature: eSecurityFeatureType;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Create instance of RAuthenticityBarcodeCheckListItem from plain object
    * @param {any} input - plain object
    * @returns {RAuthenticitySecurityCheck}
    */
    static fromPlain: (input: any) => RAuthenticitySecurityCheck;
    /**
    * Check if the given object is an instance of RAuthenticitySecurityCheck
    * @param {unknown} type - object to check
    * @returns {type is RAuthenticitySecurityCheck} - result
    */
    static isBelongs: (type: unknown) => type is RAuthenticitySecurityCheck;
}
